%global debug_package   %{nil}
%global provider        github
%global provider_tld    com
%global project         prometheus
%global repo            prometheus
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit          4e6a807bde49d179796a28e8d6028900b45f9efe
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           golang-%{provider}-%{project}-%{repo}
Version:        0
Release:        0.1.git%{shortcommit}%{?dist}
Summary:        The Prometheus monitoring system and time series database
License:        ASL 2.0
URL:            https://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:      noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
%{summary}

%package devel
BuildRequires:  golang >= 1.2.1-3
BuildRequires:  golang(github.com/syndtr/goleveldb/leveldb)
BuildRequires:  golang(github.com/syndtr/goleveldb/leveldb/cache)
BuildRequires:  golang(github.com/syndtr/goleveldb/leveldb/comparer)
BuildRequires:  golang(github.com/syndtr/goleveldb/leveldb/errors)
BuildRequires:  golang(github.com/syndtr/goleveldb/leveldb/filter)
BuildRequires:  golang(github.com/syndtr/goleveldb/leveldb/iterator)
BuildRequires:  golang(github.com/syndtr/goleveldb/leveldb/journal)
BuildRequires:  golang(github.com/syndtr/goleveldb/leveldb/memdb)
BuildRequires:  golang(github.com/syndtr/goleveldb/leveldb/opt)
BuildRequires:  golang(github.com/syndtr/goleveldb/leveldb/storage)
BuildRequires:  golang(github.com/syndtr/goleveldb/leveldb/table)
BuildRequires:  golang(github.com/syndtr/goleveldb/leveldb/testutil)
BuildRequires:  golang(github.com/syndtr/goleveldb/leveldb/util)
BuildRequires:  golang(github.com/miekg/dns)
BuildRequires:  golang(github.com/miekg/dns/idn)
BuildRequires:  golang(code.google.com/p/goprotobuf/proto)
#BuildRequires:  golang(github.com/prometheus/client_golang/extraction)
#BuildRequires:  golang(github.com/prometheus/client_golang/model)
#BuildRequires:  golang(github.com/prometheus/client_golang/prometheus)
BuildRequires:  golang(github.com/golang/glog)
Requires:       golang >= 1.2.1-3
Requires:       golang(github.com/syndtr/goleveldb/leveldb)
Requires:       golang(github.com/syndtr/goleveldb/leveldb/cache)
Requires:       golang(github.com/syndtr/goleveldb/leveldb/comparer)
Requires:       golang(github.com/syndtr/goleveldb/leveldb/errors)
Requires:       golang(github.com/syndtr/goleveldb/leveldb/filter)
Requires:       golang(github.com/syndtr/goleveldb/leveldb/iterator)
Requires:       golang(github.com/syndtr/goleveldb/leveldb/journal)
Requires:       golang(github.com/syndtr/goleveldb/leveldb/memdb)
Requires:       golang(github.com/syndtr/goleveldb/leveldb/opt)
Requires:       golang(github.com/syndtr/goleveldb/leveldb/storage)
Requires:       golang(github.com/syndtr/goleveldb/leveldb/table)
Requires:       golang(github.com/syndtr/goleveldb/leveldb/testutil)
Requires:       golang(github.com/syndtr/goleveldb/leveldb/util)
Requires:       golang(github.com/miekg/dns)
Requires:       golang(github.com/miekg/dns/idn)
Requires:       golang(code.google.com/p/goprotobuf/proto)
#Requires:       golang(github.com/prometheus/client_golang/extraction)
#Requires:       golang(github.com/prometheus/client_golang/model)
#Requires:       golang(github.com/prometheus/client_golang/prometheus)
Requires:       golang(github.com/golang/glog)
Summary:        %{summary}
Provides:       golang(%{import_path}) = %{version}-%{release}
Provides:       golang(%{import_path}/config) = %{version}-%{release}
Provides:       golang(%{import_path}/config/generated) = %{version}-%{release}
Provides:       golang(%{import_path}/notification) = %{version}-%{release}
Provides:       golang(%{import_path}/retrieval) = %{version}-%{release}
Provides:       golang(%{import_path}/rules) = %{version}-%{release}
Provides:       golang(%{import_path}/rules/ast) = %{version}-%{release}
Provides:       golang(%{import_path}/rules/manager) = %{version}-%{release}
Provides:       golang(%{import_path}/stats) = %{version}-%{release}
Provides:       golang(%{import_path}/storage/local) = %{version}-%{release}
Provides:       golang(%{import_path}/storage/local/codable) = %{version}-%{release}
Provides:       golang(%{import_path}/storage/local/flock) = %{version}-%{release}
Provides:       golang(%{import_path}/storage/local/index) = %{version}-%{release}
Provides:       golang(%{import_path}/storage/metric) = %{version}-%{release}
Provides:       golang(%{import_path}/storage/remote) = %{version}-%{release}
Provides:       golang(%{import_path}/storage/remote/opentsdb) = %{version}-%{release}
Provides:       golang(%{import_path}/templates) = %{version}-%{release}
Provides:       golang(%{import_path}/tools/rule_checker) = %{version}-%{release}
Provides:       golang(%{import_path}/utility) = %{version}-%{release}
Provides:       golang(%{import_path}/utility/test) = %{version}-%{release}
Provides:       golang(%{import_path}/web) = %{version}-%{release}
Provides:       golang(%{import_path}/web/api) = %{version}-%{release}
Provides:       golang(%{import_path}/web/blob) = %{version}-%{release}
Provides:       golang(%{import_path}/web/httputils) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for 
building other packages which use %{project}/%{repo}.

%prep
%setup -q -n %{repo}-%{commit}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
cp -pav *.go %{buildroot}/%{gopath}/src/%{import_path}/
cp -rpav web %{buildroot}/%{gopath}/src/%{import_path}/
cp -rpav utility %{buildroot}/%{gopath}/src/%{import_path}/
cp -rpav tools %{buildroot}/%{gopath}/src/%{import_path}/
cp -rpav templates %{buildroot}/%{gopath}/src/%{import_path}/
cp -rpav storage %{buildroot}/%{gopath}/src/%{import_path}/
cp -rpav stats %{buildroot}/%{gopath}/src/%{import_path}/
cp -rpav rules %{buildroot}/%{gopath}/src/%{import_path}/
cp -rpav retrieval %{buildroot}/%{gopath}/src/%{import_path}/
cp -rpav notification %{buildroot}/%{gopath}/src/%{import_path}/
cp -rpav documentation %{buildroot}/%{gopath}/src/%{import_path}/
cp -rpav consoles %{buildroot}/%{gopath}/src/%{import_path}/
cp -rpav console_libraries %{buildroot}/%{gopath}/src/%{import_path}/
cp -rpav config %{buildroot}/%{gopath}/src/%{import_path}/

pushd %{buildroot}/%{gopath}/src/%{import_path}
rm -rf $(find . -iname .gitignore)
popd

%check
#GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}/utility
#GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}/templates
#GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}/storage/remote
#GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}/storage/remote/opentsdb
#GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}/storage/metric
#GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}/storage/local
#GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}/storage/local/flock
#GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}/storage/local/codable
#GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}/rules
#GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}/rules/ast
#GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}/retrieval
#GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}/notification
#GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}/config

%files devel
%doc AUTHORS.md CHANGELOG.md CONTRIBUTING.md README.md LICENSE
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%{gopath}/src/%{import_path}

%changelog
* Sat Feb 07 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.git4e6a807
- First package for Fedora
  resolves: #1190426
